---
- name: Playbook Ansible and AWS - Create Instance
  hosts: all
  connection: local
  gather_facts: False

  vars:
    - var_vm: vm-client
    - var_size: t2.micro
    - var_count: 1
    - var_image: ami-01ed306a12b7d1c96
      # RHEL7 ami-775e4f16
      # RHEL8 ami-079596bf7a949ddf8

  tasks:

  - name: Create Instance
    ec2:
      region: us-west-2
      key_name: msantacruz
      instance_type: "{{ var_size }}"
      image: "{{ var_image }}"
      wait: yes
      group_id: sg-0fb9277925d7183e1
      count: "{{ var_count }}"
      vpc_subnet_id: subnet-06fc3150500fff199
      assign_public_ip: yes
      instance_tags:
        demo: Jamaica
